rw.cn = (function ($, rw) {
    return {
        criaModulo: {}
    }
} ($, rw))

rw.cn.acompanhamentosMensais = (function ($, rw) {
    function montaDados() {
        return function () {
            return {
                conta: $("#txtConta").val(),
                dataInicial: $("#txtDataInicial").val(),
                dataFinal: $("#txtDataFinal").val(), 
                bDiario: $("#cbDiario")[0].checked ? true : false                
            }
        }
    }

    function inserePopup(idTabelaConsulta, idTabelaFiltro) {
        return function (registro) {
            if(Number(registro.posicao) == 0) {
	            //tabela filtro
                var row = rw.tabelas.insereLinha(idTabelaFiltro)

                var cell = row.insertCell(-1)
                cell.className = "wkvalor"
                cell.innerHTML = $("#txtConta").val()

                cell = row.insertCell(-1)
                cell.className = "wkdata"
                cell.innerHTML = $("#txtDataInicial").val()

                cell = row.insertCell(-1)
                cell.className = "wkdata"
                cell.innerHTML = $("#txtDataFinal").val()

                cell = row.insertCell(-1)
                cell.innerHTML = $("#cbDiario")[0].checked ? "Sim" : "Não"

                cell = row.insertCell(-1)
                cell.className = "wkvalor"
                cell.innerHTML = registro.saldoAnterior

                $(idTabelaFiltro).fadeIn(rw.FADE())    
                $(idTabelaFiltro).after('<div style="clear: both">&nbsp;</div>')
            }
            
            //tabela consulta                      
            var row = rw.tabelas.insereLinha(idTabelaConsulta)

            var cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.credito

            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.debito

            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.saldoAtual

            cell = row.insertCell(-1)
            cell.className = "wkdata"
            cell.innerHTML = registro.data

            $(row).fadeIn(rw.FADE())
        }
    }

    return {        
        montaDados: montaDados,
        inserePopup: inserePopup
    }    
} ($, rw))

rw.cn.saldos = (function ($, rw) {    
    function inserePopup(idTabelaConsulta, idTabelaFiltro) {
        return function (registro) {
            //tabela filtro
            var row = rw.tabelas.insereLinha(idTabelaFiltro)            

            var cell = row.insertCell(-1)                   
            cell.innerHTML = registro.classificacao + " - " + registro.nome            

            cell = row.insertCell(-1)            
            cell.className = "wkdata"
            cell.innerHTML = registro.dataInicial

            cell = row.insertCell(-1)
            cell.className = "wkdata"
            cell.innerHTML = registro.dataFinal

            $(idTabelaFiltro).fadeIn(rw.FADE())    
            $(idTabelaFiltro).after('<div style="clear: both">&nbsp;</div>')            
            
            //tabela consulta
            row = rw.tabelas.insereLinha(idTabelaConsulta)
                        
            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.saldoAtual

            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.creditos

            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.debitos

            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.saldoAnterior

            $(row).fadeIn(rw.FADE())            
        }
    }

    function montaDados() {
        return function () {
            return {
		        dataInicial: $("#datainicial").val(),
		        dataFinal: $("#datafinal").val(),
		        codigo: $("#conta").val()
            }
        }
    }

    return {
        montaDados: montaDados,
        inserePopup: inserePopup
    }
} ($, rw))

rw.cn.lancamentos = (function ($, rw) {    
    function inserePopup(idTabelaConsulta, idTabelaFiltro) {
        return function (registro) {
            if(Number(registro.posicao) == 0) {
                var row = rw.tabelas.insereLinha(idTabelaFiltro)

                var cell = row.insertCell(-1)
                cell.className = "wkvalor"
                cell.innerHTML = $("#conta").val()

                cell = row.insertCell(-1)
                cell.className = "wkdata"
                cell.innerHTML = $("#dataInicial").val()

                cell = row.insertCell(-1)
                cell.className = "wkdata"
                cell.innerHTML = $("#dataFinal").val()

                $(idTabelaFiltro).fadeIn(rw.FADE())    
                $(idTabelaFiltro).after('<div style="clear: both">&nbsp;</div>')
            }
            
            //tabela consulta
            var row = rw.tabelas.insereLinha(idTabelaConsulta)

            var cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.chave

            cell = row.insertCell(-1)
            cell.className = "wkdata"
            cell.innerHTML = registro.data

            cell = row.insertCell(-1)
            cell.innerHTML = registro.numeroDebito + " - " + registro.descricaoDebito

            cell = row.insertCell(-1)
            cell.innerHTML = registro.numeroCredito + " - " + registro.descricaoCredito

            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.valor

            cell = row.insertCell(-1)
            cell.className = "wkvalor"
            cell.innerHTML = registro.classificacaoHistorico

            $(row).fadeIn(rw.FADE())
        }
    }

    function montaDados() {
        return function () {
            return {                
                numeroConta: $("#conta").val(),
                dataInicial: $("#dataInicial").val(),
                dataFinal: $("#dataFinal").val(),
                chaveInicial: $("#chaveInicial").val(),
                chaveFinal: $("#chaveFinal").val()
            }
        }
    }

    return {
        inserePopup: inserePopup,
        montaDados: montaDados
    }
} ($, rw))

rw.cn.geradorRelatorios = (function ($, rw) {    
    function carregaSelect(idSelect, idBtnOk) {
		    var callback = function (data) {
		        if (data.resposta.status == "ERRO") {		           
                    rw.msg.erro(data)
		            return
		        }

		        var options = ""
		        $.map(data.resposta.gerador, 
                    function (r) {
		                options += '<option value="' + r.nome + '">' + r.nome + " " + r.descricao + '</option>'
		            }
                )
		        $(idSelect).html(options)

                if(idBtnOK && options == "")
                    rw.habilitaCampo(idBtnOK, false)   
		    }

		    $.ajax("../api/cn/consulta-dadosrelatoriogerador.asp", {
		        async: true,
		        success: callback
		    })
    }    

    return {
        carregaSelect: carregaSelect
    }
} ($, rw))            